Bug 227501 - archivers/laszip: Update to 3.2.2
Summary: archivers/laszip: Update to 3.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2018-04-13 16:04 UTC by Loïc Bartoletti
Modified: 2018-04-16 00:14 UTC (History)
2 users (show)

See Also:
rhurlin: maintainer-feedback+


Attachments
laszip 3.2.2 (1.56 KB, patch)
2018-04-13 16:04 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2018-04-13 16:04:52 UTC
Created attachment 192497 [details]
laszip 3.2.2

LASzip is now at 3.2.2 version.

Use github instead of OSGeo.
Comment 1 Rainer Hurling freebsd_committer 2018-04-14 16:41:44 UTC
Thanks Loïc, For the update.

I tested it on Poudriere and it seems to build and install fine. Portlint -AC is fine, also. 

So, from my side, no complains. Please commit it, thank you very much.
Comment 2 Danilo G. Baio freebsd_committer 2018-04-14 23:34:50 UTC
Hi.

Probably CMAKE_DEFS and post-install target can be removed from the Makefile.

And will be necessary bump PORTREVISION of dependent ports due shlib change, 
which is just math/pdal.

I'll test these changes in my poudriere box as well.

Thanks.
Comment 3 commit-hook freebsd_committer 2018-04-16 00:12:04 UTC
A commit references this bug:

Author: dbaio
Date: Mon Apr 16 00:11:59 UTC 2018
New revision: 467446
URL: https://svnweb.freebsd.org/changeset/ports/467446

Log:
  archivers/laszip: Update to 3.2.2

  Project has moved to Github.

  While here:
    Remove old tweaks that aren't necessary anymore.
    Update LICENSE.

  Changes:	https://raw.githubusercontent.com/LASzip/LASzip/3.2.2/ChangeLog

  Bump PORTREVISION of dependent port (math/pdal) due shlib change.

  PR:		227501
  Submitted by:	lbartoletti@tuxfamily.org
  Approved by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer)

Changes:
  head/archivers/laszip/Makefile
  head/archivers/laszip/distinfo
  head/archivers/laszip/pkg-plist
  head/math/pdal/Makefile
Comment 4 Danilo G. Baio freebsd_committer 2018-04-16 00:14:39 UTC
And I will bump*

Committed, thanks!